# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sdoc"
  s.version = "0.3.20"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.authors = ["Vladimir Kolesnikov", "Nathan Broadbent"]
  s.date = "2012-11-21"
  s.description = "rdoc generator html with javascript search index."
  s.email = "voloko@gmail.com"
  s.executables = ["sdoc", "sdoc-merge"]
  s.extra_rdoc_files = ["README.md"]
  s.files = [".gitignore", ".rake_tasks~", "LICENSE", "README.md", "Rakefile", "bin/sdoc", "bin/sdoc-merge", "lib/rdoc/discover.rb", "lib/rdoc/generator/template/merge/index.rhtml", "lib/rdoc/generator/template/rails/_context.rhtml", "lib/rdoc/generator/template/rails/_head.rhtml", "lib/rdoc/generator/template/rails/class.rhtml", "lib/rdoc/generator/template/rails/file.rhtml", "lib/rdoc/generator/template/rails/index.rhtml", "lib/rdoc/generator/template/rails/resources/apple-touch-icon.png", "lib/rdoc/generator/template/rails/resources/css/github.css", "lib/rdoc/generator/template/rails/resources/css/main.css", "lib/rdoc/generator/template/rails/resources/css/panel.css", "lib/rdoc/generator/template/rails/resources/css/reset.css", "lib/rdoc/generator/template/rails/resources/favicon.ico", "lib/rdoc/generator/template/rails/resources/i/arrows.png", "lib/rdoc/generator/template/rails/resources/i/results_bg.png", "lib/rdoc/generator/template/rails/resources/i/tree_bg.png", "lib/rdoc/generator/template/rails/resources/js/highlight.pack.js", "lib/rdoc/generator/template/rails/resources/js/jquery-1.3.2.min.js", "lib/rdoc/generator/template/rails/resources/js/jquery-effect.js", "lib/rdoc/generator/template/rails/resources/js/main.js", "lib/rdoc/generator/template/rails/resources/js/searchdoc.js", "lib/rdoc/generator/template/rails/resources/panel/index.html", "lib/rdoc/generator/template/rails/se_index.rhtml", "lib/rdoc/generator/template/sdoc/_context.rhtml", "lib/rdoc/generator/template/sdoc/_head.rhtml", "lib/rdoc/generator/template/sdoc/class.rhtml", "lib/rdoc/generator/template/sdoc/file.rhtml", "lib/rdoc/generator/template/sdoc/index.rhtml", "lib/rdoc/generator/template/sdoc/resources/apple-touch-icon.png", "lib/rdoc/generator/template/sdoc/resources/css/github.css", "lib/rdoc/generator/template/sdoc/resources/css/main.css", "lib/rdoc/generator/template/sdoc/resources/css/panel.css", "lib/rdoc/generator/template/sdoc/resources/css/reset.css", "lib/rdoc/generator/template/sdoc/resources/favicon.ico", "lib/rdoc/generator/template/sdoc/resources/i/arrows.png", "lib/rdoc/generator/template/sdoc/resources/i/results_bg.png", "lib/rdoc/generator/template/sdoc/resources/i/tree_bg.png", "lib/rdoc/generator/template/sdoc/resources/js/highlight.pack.js", "lib/rdoc/generator/template/sdoc/resources/js/jquery-1.3.2.min.js", "lib/rdoc/generator/template/sdoc/resources/js/jquery-effect.js", "lib/rdoc/generator/template/sdoc/resources/js/main.js", "lib/rdoc/generator/template/sdoc/resources/js/searchdoc.js", "lib/rdoc/generator/template/sdoc/resources/panel/index.html", "lib/rdoc/generator/template/sdoc/se_index.rhtml", "lib/sdoc.rb", "lib/sdoc/generator.rb", "lib/sdoc/github.rb", "lib/sdoc/helpers.rb", "lib/sdoc/merge.rb", "lib/sdoc/templatable.rb", "sdoc.gemspec"]
  s.homepage = "http://github.com/voloko/sdoc"
  s.rdoc_options = ["--charset=UTF-8"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.7"
  s.summary = "rdoc html with javascript search index."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rdoc>, ["~> 3.10"])
      s.add_runtime_dependency(%q<json>, [">= 1.1.3"])
    else
      s.add_dependency(%q<rdoc>, ["~> 3.10"])
      s.add_dependency(%q<json>, [">= 1.1.3"])
    end
  else
    s.add_dependency(%q<rdoc>, ["~> 3.10"])
    s.add_dependency(%q<json>, [">= 1.1.3"])
  end
end

